Summary: An X Window System clone of the space combat arcade game Galaga.
Name: xgalaga
Version: 2.0
Release: 5
Copyright: Shareware
Group: Amusements/Games
Source: ftp://ftp.x.org/contrib/games/xgalaga-%{version}.tar.gz
Patch0: xgalaga-config.patch
Patch1: xgalaga-1.6c-proto.patch
Url: http://www.aa.net/~ogre/xgal.html
BuildRoot: %{_tmppath}/%{name}-root

%description
XGalaga is an X Window System based clone of the space combat arcade
game Galaga.  Use your mouse to move your ship, while your mouse
button fires your weapon.

%prep
%setup -q
%patch0 -p0 -b .config
%patch1 -p1 -b .proto

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/lib/games/xgalaga \
   --exec-prefix=/usr/X11R6/bin

%install
rm -rf $RPM_BUILD_ROOT

export PATH=$PATH:.
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games \
	$RPM_BUILD_ROOT/usr/lib/games/xgalaga \
	$RPM_BUILD_ROOT/usr/X11R6/bin \
	$RPM_BUILD_ROOT/var/lib/games

make prefix=$RPM_BUILD_ROOT/usr/lib/games/xgalaga \
   exec_prefix=$RPM_BUILD_ROOT/usr/X11R6/bin install

touch $RPM_BUILD_ROOT/var/lib/games/xgalscores

cat > $RPM_BUILD_ROOT//etc/X11/applnk/Games/xgalaga.desktop <<EOF
[Desktop Entry]
Name=xgalaga
Comment=Galaga clone
Exec=xgal
Type=Application
Terminal=0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/lib/games/xgalaga
%doc README
/usr/X11R6/bin/*
/usr/lib/games/xgalaga/*
%attr(777, root, root) /var/lib/games/xgalscores
%config /etc/X11/applnk/Games/xgalaga.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- use %{_tmppath}

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 31 2000 Ngo Than <than@redhat.de>
- rebuild for powertools 7.0
- remove wmconfig, add xgalaga.desktop
- cleanup specfile

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- update to 2.0.0

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
